      program hEarthOrbit ! BB Nove 25 2018
c Approximate estimate of the h=r^2*phidot=r*v
c Specific Angular Momentum for the Earth Orbit.
c Gravitational units G=c=1. Mass unit: Central mass = 1.
c Parameter: Specific angular momentum in units of the central mass.
      implicit real*8 (a-h,o-z)
      logical ltest
      parameter(iuo=6)
      ltest=.false.
      if(ltest) stop "hEarthOrbit: ltest."
      ltest=.true.
c
      write(iuo,'(/," Program hEarthOrbit.f:",/)')
      pi=acos(-1.d00)
      sm=0.4925d-05  ! sun mass in units [s]     (solution 33).
      re=496.7d00    ! distance earth-sun in [s] (solution 33).
      year=365.d00*24.d00*3600.d00 ! year in [s]
      v=2.d00*pi*re/year ! approximate (average) velocity on earth orbit.
      write(iuo,'(" ve = ",1g11.5,3x,"velocity in units of [c].",/)') v
c
      re=re/sm ! distance earth-sun in units of sun mass.
      write(iuo,'(" re = ",1g11.5,3x,
     &  "distance earth-sun in units of sun mass [sm].",/)') re
      h=re*v
      write(iuo,'(" h  = ",1g11.5,3x,"specific angular momentum h [sm]."
     &  ,/)') h
      h2=h**2
      stop "hEarthOrbit: all done."
      end
